Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialog.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialog.cshtml	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialog.cshtml	(revision 12878)
@@ -0,0 +1,103 @@
+﻿<div class="modal-header">
+    <button type="button" ng-click="close()" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
+    <h4 class="modal-title">Task #{{taskNo}} - {{task.Id}}</h4>
+</div>
+<div class="modal-body" style="height: 440px">
+    <tabset>
+        <tab heading="Details">
+            <div style="height: 340px" class="center-block">
+                <div class="row" style="padding-top: 30px">
+                    <div class="col-md-12">
+                        <table class="table table-condensed table-no-border table-auto-width table-content">
+                            <tr>
+                                <td>Start Time:</td>
+                                <td ng-show="task.StartTime" class="text-left">{{task.StartTime | toDate}}</td>
+                                <td ng-hide="task.StartTime" class="text-left">Not started</td>
+                            </tr>
+                            <tr>
+                                <td>End Time:</td>
+                                <td ng-show="task.EndTime" class="text-left">{{task.EndTime | toDate}}</td>
+                                <td ng-hide="task.EndTime" class="text-left">Not finished</td>
+                            </tr>
+                            <tr>
+                                <td>State:</td>
+                                <td>{{task.State}}</td>
+                            </tr>
+                            <tr>
+                                <td>Slave:</td>
+                                <td>
+                                    <a ng-click="close()" ng-href="#/statistics/clients/{{task.LastClientId}}" ng-show="task.LastClientName">{{task.LastClientName}}</a>
+                                    <span ng-hide="task.LastClientName">None</span>
+                                </td>
+                            </tr>
+                        </table>
+                    </div>
+                </div>
+                <div class="row" style="padding-top: 30px">
+                    <div class="col-md-6">
+                        <table class="table table-condensed table-no-border table-auto-width table-content">
+                            <tr>
+                                <td>Total Time:</td>
+                                <td>{{task.TotalTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td>Initial Waiting Time:</td>
+                                <td>{{task.InitialWaitingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td>Waiting Time:</td>
+                                <td>{{task.WaitingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td>Calculating Time:</td>
+                                <td>{{task.CalculatingTime | toTimespan}}</td>
+                            </tr>
+                            <tr>
+                                <td>Transfer Time:</td>
+                                <td>{{task.TransferTime | toTimespan}}</td>
+                            </tr>
+                        </table>
+                    </div>
+                    <div class="col-md-6">
+                        <table class="table table-condensed table-no-border table-auto-width table-content">
+                            <tr>
+                                <td>Calculation Runs:</td>
+                                <td class="text-right">{{task.NumCalculationRuns}}</td>
+                            </tr>
+                            <tr>
+                                <td>Retries Runs:</td>
+                                <td class="text-right">{{task.NumRetries}}</td>
+                            </tr>
+                            <tr>
+                                <td>Cores Required:</td>
+                                <td class="text-right">{{task.CoresRequired}}</td>
+                            </tr>
+                            <tr>
+                                <td>Memory Required:</td>
+                                <td class="text-right">{{task.MemoryRequired}} MB</td>
+                            </tr>
+                            <tr>
+                                <td>Priority:</td>
+                                <td class="text-right">{{task.Priority}}</td>
+                            </tr>
+                        </table>
+                    </div>
+                </div>
+                <div class="row">
+                    <div class="col-md-12">
+                        <table class="table table-condensed table-no-border table-auto-width table-content">
+                            <tr>
+                                <td><a href="api/Statistics/Task/GetTaskDataById?id={{task.Id}}">Download</a></td>
+                            </tr>
+                        </table>
+                    </div>
+                </div>
+            </div>
+        </tab>
+        <tab heading="Exception" ng-show="task.Exception">
+            <div style="overflow:auto;">
+                <p style="word-wrap: break-word;">{{task.Exception}}</p>
+            </div>
+        </tab>
+    </tabset>
+</div>
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialogCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialogCtrl.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/details/jobTaskDetailsDialogCtrl.js	(revision 12878)
@@ -0,0 +1,12 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    module.controller('app.statistics.jobTaskDetailsDialogCtrl',
+        ['$scope', '$modalInstance', 'taskNo', 'task', function ($scope, $modalInstance, taskNo, task) {
+            $scope.taskNo = taskNo;
+            $scope.task = task;
+            $scope.close = function () {
+                $modalInstance.dismiss('cancel');
+            };
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobs.cshtml	(revision 12878)
@@ -0,0 +1,128 @@
+﻿@using HeuristicLab.Services.Access.DataTransfer
+@using HeuristicLab.Services.Hive
+<header class="view-header">
+    <ul class="nav nav-list nav-list-topbar pull-left">
+        <li class="active">
+            <a ng-href="#/statistics/jobs">Jobs</a>
+        </li>
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/users">Users</a>
+            </li>
+        }
+        <li>
+            <a ng-href="#/statistics/clients">Clients</a>
+        </li>
+        <li>
+            <a ng-href="#/statistics/groups">Groups</a>
+        </li>
+        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+            <li>
+                <a ng-href="#/statistics/exceptions">Exceptions</a>
+            </li>
+        }
+    </ul>
+</header>
+
+<div class="default-view-container">
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Current Jobs</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed">
+                        <thead>
+                        <tr>
+                            <th>#</th>
+                            <th>Job Name</th>
+                            @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+                                <th>Username</th>
+                            }
+                            <th>Date Created</th>
+                            <th>Progress</th>
+                            <th></th>
+                        </tr>
+                        </thead>
+                        @if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+                            <tr ng-repeat="job in allUsersJobs">
+                                <td>{{$index + 1}}</td>
+                                <td>{{job.Name}}</td>
+                                <td>
+                                    <a ng-href="#/statistics/users/{{job.UserId}}" ng-show="job.UserName">{{job.UserName}}</a>
+                                </td>
+                                <td>{{job.DateCreated | toDate}}</td>
+                                <td>
+                                    <progressbar class="progress active" max="job.TotalTasks" value="job.CompletedTasks" type="success"><i style="color:black; white-space:nowrap;">{{job.CompletedTasks}} / {{job.TotalTasks}}</i></progressbar>
+                                </td>
+                                <td>
+                                    <a ng-href="#/statistics/jobs/{{job.Id}}">Details</a>
+                                </td>
+                            </tr>
+                            <tr ng-hide="allUsersJobs.length">
+                                <td colspan="6" class="text-center">No active jobs found!</td>
+                            </tr>
+                        } else {
+                            <tr ng-repeat="job in jobs">
+                                <td>{{$index + 1}}</td>
+                                <td>{{job.Name}}</td>
+                                <td>{{job.DateCreated | toDate}}</td>
+                                <td>
+                                    <progressbar class="progress active" max="job.TotalTasks" value="job.CompletedTasks" type="success"><i style="color: black; white-space: nowrap;">{{job.CompletedTasks}} / {{job.TotalTasks}}</i></progressbar>
+                                </td>
+                                <td>
+                                    <a ng-href="#/statistics/jobs/{{job.Id}}">Details</a>
+                                </td>
+                            </tr>
+                            <tr ng-hide="jobs.length">
+                                <td colspan="5" class="text-center">No active jobs found!</td>
+                            </tr>
+                        }
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Completed Jobs</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed">
+                        <thead>
+                        <tr>
+                            <th>#</th>
+                            <th>Job Name</th>
+                            <th>Date Created</th>
+                            <th>Date Completed</th>
+                            <th>Tasks</th>
+                            <th></th>
+                        </tr>
+                        </thead>
+                        <tr ng-repeat="job in completedJobPage.Jobs">
+                            <td>{{($index + 1)+((completedJobCurPage-1)*(completedJobPageSize))}}</td>
+                            <td>{{job.Name}}</td>
+                            <td>{{job.DateCreated | toDate}}</td>
+                            <td>{{job.DateCompleted | toDate}}</td>
+                            <td>{{job.TotalTasks}}</td>
+                            <td><a ng-href="#/statistics/jobs/{{job.Id}}">Details</a></td>
+                        </tr>
+                        <tr ng-hide="completedJobPage.Jobs.length">
+                            <td colspan="6" class="text-center">No completed jobs found!</td>
+                        </tr>
+                    </table>
+                    <div class="row text-center" ng-show="completedJobPage.TotalJobs > completedJobPage.Jobs.length">
+                        <pagination max-size="10" total-items="completedJobPage.TotalJobs"
+                                    ng-model="completedJobCurPage" items-per-page="completedJobPageSize"
+                                    ng-change="changeCompletedJobPage()"
+                                    boundary-links="true" rotate="false" num-pages="numPages"></pagination>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+</div>
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobsCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobsCtrl.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/jobs/jobsCtrl.js	(revision 12878)
@@ -0,0 +1,53 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    module.controller('app.statistics.jobsCtrl',
+        ['$scope', '$interval', 'app.statistics.jobService', function ($scope, $interval, jobService) {
+            var first = true;
+            $scope.isAdministrator = false;
+            $scope.interval = defaultPageUpdateInterval;
+            $scope.completedJobCurPage = 1;
+            $scope.completedJobPageSize = 20;
+
+            var getAllJobs = function() {
+                jobService.getAllJobs({ completed: false }, function(jobs) {
+                    $scope.jobs = jobs;
+                });
+            };
+
+            var getCompletedJobs = function() {
+                jobService.getJobs({ page: $scope.completedJobCurPage, size: $scope.completedJobPageSize, completed: true },
+                    function (jobPage) {
+                        $scope.completedJobPage = jobPage;
+                    }
+                );
+            };
+
+            var getAllActiveJobsFromAllUsers = function () {
+                jobService.getAllActiveJobsFromAllUsers({}, function (jobs) {
+                    $scope.isAdministrator = true;
+                    $scope.allUsersJobs = jobs;
+                });
+            };
+
+            $scope.changeCompletedJobPage = function () {
+                update();
+            };
+
+            var update = function () {
+                getAllJobs();
+                if (first || $scope.isAdministrator) {
+                    getAllActiveJobsFromAllUsers();
+                }
+                getCompletedJobs();
+            };
+
+            $scope.updateInterval = $interval(update, $scope.interval);
+            var cancelInterval = $scope.$on('$locationChangeSuccess', function () {
+                $interval.cancel($scope.updateInterval);
+                cancelInterval();
+            });
+            update(); // init page
+            first = false;
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/clientService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/clientService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/clientService.js	(revision 12878)
@@ -0,0 +1,15 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Client/';
+    module.factory('app.statistics.clientService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', states: '@states', expired: '@expired', start: '@start', end: '@end', userId: '@userId' }, {
+                getClientDetails: { method: 'GET', params: { action: 'GetClientDetails' } },
+                getClients: { method: 'GET', params: { action: 'GetClients' } },
+                getClientsByGroupId: { method: 'GET', params: { action: 'GetClientsByGroupId' } },
+                getClientHistory: { method: 'GET', params: { action: 'GetClientHistory' }, isArray: true },
+                getClientHistoryByGroupId: { method: 'GET', params: { action: 'GetClientHistoryByGroupId' }, isArray: true }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/exceptionService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/exceptionService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/exceptionService.js	(revision 12878)
@@ -0,0 +1,11 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Exception/';
+    module.factory('app.statistics.exceptionService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { page: '@page', size: '@size'}, {
+                getExceptions: { method: 'GET', params: { action: 'GetExceptions' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/groupService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/groupService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/groupService.js	(revision 12878)
@@ -0,0 +1,13 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Group/';
+    module.factory('app.statistics.groupService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', start: '@start', end: '@end' }, {
+                getGroupDetails: { method: 'GET', params: { action: 'GetGroupDetails' } },
+                getGroups: { method: 'GET', params: { action: 'GetGroups' } },
+                getGroupHistory: { method: 'GET', params: { action: 'GetGroupHistory' }, isArray: true }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/jobService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/jobService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/jobService.js	(revision 12878)
@@ -0,0 +1,17 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Job/';
+    module.factory('app.statistics.jobService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', states: '@states', completed: '@completed' }, {
+                getJobDetails: { method: 'GET', params: { action: 'GetJobDetails' } },
+                getJobs: { method: 'GET', params: { action: 'GetJobs' } },
+                getAllJobs: { method: 'GET', params: { action: 'GetAllJobs'}, isArray: true },
+                getJobsByUserId: { method: 'GET', params: { action: 'GetJobsByUserId' } },
+                getAllJobsByUserId: { method: 'GET', params: { action: 'GetAllJobsByUserId'}, isArray: true },
+                getJobTasksStatesByJobId: { method: 'GET', params: { action: 'GetJobTasksStatesByJobId' }, isArray: true },
+                getAllActiveJobsFromAllUsers: { method: 'GET', params: { action: 'GetAllActiveJobsFromAllUsers' }, isArray: true }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/statisticsService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/statisticsService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/statisticsService.js	(revision 12878)
@@ -0,0 +1,29 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Data/';
+    module.factory('app.statistics.data.service',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', states: '@states', expired: '@expired'}, {
+                getJob: { method: 'GET', params: { action: 'GetJob' } },
+                getJobs: { method: 'GET', params: { action: 'GetJobs' }, isArray: true },
+                getCompletedJobs: { method: 'GET', params: { action: 'GetCompletedJobs' }, isArray: true },
+                getCompletedJobsByUserId: { method: 'GET', params: { action: 'GetCompletedJobsByUserId' }, isArray: true },
+                getCompletedJobsCount: { method: 'GET', params: { action: 'GetCompletedJobsCount' } },
+                getCompletedJobsCountByUserId: { method: 'GET', params: { action: 'GetCompletedJobsCountByUserId' } },
+                getJobsByUserId: { method: 'GET', params: { action: 'GetJobsByUserId' }, isArray: true },
+                getTaskCountByJobId: { method: 'GET', params: { action: 'GetTaskCountByJobId' } },
+                getTasksByJobId: { method: 'GET', params: { action: 'GetTasksByJobId' }, isArray: true },
+                getJobTasksStatesByJobId: { method: 'GET', params: { action: 'GetJobTasksStatesByJobId' }, isArray: true },
+                getClient: { method: 'GET', params: { action: 'GetClient' } },
+                getClientCount: { method: 'GET', params: { action: 'GetClientCount' } },
+                getClients: { method: 'GET', params: { action: 'GetClients' }, isArray: true },
+                getTaskCountByClientId: { method: 'GET', params: { action: 'GetTaskCountByClientId' } },
+                getTasksByClientId: { method: 'GET', params: { action: 'GetTasksByClientId' }, isArray: true },
+                getJobTasksStatesByClientId: { method: 'GET', params: { action: 'GetJobTasksStatesByClientId' }, isArray: true },
+                getClientHistory: { method: 'GET', params: { action: 'GetClientHistory' }, isArray: true },
+                getUsers: { method: 'GET', params: { action: 'GetUsers' }, isArray: true },
+                getUser: { method: 'GET', params: { action: 'GetUser' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/taskService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/taskService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/taskService.js	(revision 12878)
@@ -0,0 +1,12 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/Task/';
+    module.factory('app.statistics.taskService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', states: '@states' }, {
+                getTasksByJobId: { method: 'POST', params: { action: 'GetTasksByJobId' } },
+                getTasksByClientId: { method: 'POST', params: { action: 'GetTasksByClientId' } }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/userService.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/userService.js	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/services/userService.js	(revision 12878)
@@ -0,0 +1,12 @@
+﻿(function () {
+    var module = appStatisticsPlugin.getAngularModule();
+    var apiUrl = 'api/Statistics/User/';
+    module.factory('app.statistics.userService',
+        ['$resource', function ($resource) {
+            return $resource(apiUrl + ':action', { id: '@id' }, {
+                getUser: { method: 'GET', params: { action: 'GetUser' } },
+                getUsers: { method: 'GET', params: { action: 'GetUsers' }, isArray: true }
+            });
+        }]
+    );
+})();
Index: /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml	(revision 12878)
+++ /trunk/sources/HeuristicLab.Services.WebApp.Statistics/3.3/WebApp/users/details/userDetails.cshtml	(revision 12878)
@@ -0,0 +1,141 @@
+﻿@using HeuristicLab.Services.Access.DataTransfer
+@using HeuristicLab.Services.Hive
+@if (Request.IsAuthenticated && User.IsInRole(HiveRoles.Administrator)) {
+<header class="view-header">
+    <ul class="nav nav-list nav-list-topbar pull-left">
+        <li>
+            <a ng-href="#/statistics/jobs">Jobs</a>
+        </li>
+        <li class="active">
+            <a ng-href="#/statistics/users">Users</a>
+        </li>
+        <li>
+            <a ng-href="#/statistics/clients">Clients</a>
+        </li>
+        <li>
+            <a ng-href="#/statistics/groups">Groups</a>
+        </li>
+        <li>
+            <a ng-href="#/statistics/exceptions">Exceptions</a>
+        </li>
+    </ul>
+</header>
+
+<div class="default-view-container">
+    <div class="row">
+        <div class="col-lg-9 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">User Details</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Name:</td>
+                            <td>{{user.Name}}</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+
+        <div class="col-lg-3 col-md-6">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Tasks Overview</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-no-border table-condensed table-auto-width table-content">
+                        <tr>
+                            <td class="text-left">Total:</td>
+                            <td class="text-right">{{totalUserTasks}}</td>
+                        </tr>
+                        <tr ng-repeat="state in user.TasksStates">
+                            <td class="text-left">{{state.State}}:</td>
+                            <td class="text-right">{{state.Count}}</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Current Jobs</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed">
+                        <thead>
+                            <tr>
+                                <th>#</th>
+                                <th>Job Name</th>
+                                <th>Date Created</th>
+                                <th>Progress</th>
+                                <th></th>
+                            </tr>
+                        </thead>
+                        <tr ng-repeat="job in jobs">
+                            <td>{{$index + 1}}</td>
+                            <td>{{job.Name}}</td>
+                            <td>{{job.DateCreated | toDate}}</td>
+                            <td>
+                                <progressbar class="progress active" max="job.TotalTasks" value="job.CompletedTasks" type="success"><i style="color:black; white-space:nowrap;">{{job.CompletedTasks}} / {{job.TotalTasks}}</i></progressbar>
+                            </td>
+                            <td>
+                                <a ng-href="#/statistics/jobs/{{job.Id}}">Details</a>
+                            </td>
+                        </tr>
+                        <tr ng-hide="jobs.length">
+                            <td colspan="5" class="text-center">No active jobs found!</td>
+                        </tr>
+                    </table>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="row">
+        <div class="col-lg-12">
+            <div class="panel panel-default">
+                <div class="panel-heading">
+                    <h3 class="panel-title">Completed Jobs</h3>
+                </div>
+                <div class="panel-body">
+                    <table class="table table-hover table-condensed">
+                        <thead>
+                            <tr>
+                                <th>#</th>
+                                <th>Job Name</th>
+                                <th>Date Created</th>
+                                <th>Date Completed</th>
+                                <th>Tasks</th>
+                                <th></th>
+                            </tr>
+                        </thead>
+                        <tr ng-repeat="job in completedJobPage.Jobs">
+                            <td>{{($index + 1)+((completedJobCurPage-1)*(completedJobPageSize))}}</td>
+                            <td>{{job.Name}}</td>
+                            <td>{{job.DateCreated | toDate}}</td>
+                            <td>{{job.DateCompleted | toDate}}</td>
+                            <td>{{job.TotalTasks}}</td>
+                            <td><a ng-href="#/statistics/jobs/{{job.Id}}">Details</a></td>
+                        </tr>
+                        <tr ng-hide="completedJobPage.Jobs.length">
+                            <td colspan="6" class="text-center">No completed jobs found!</td>
+                        </tr>
+                    </table>
+                    <div class="row text-center" ng-show="completedJobPage.TotalJobs > completedJobPage.Jobs.length">
+                        <pagination max-size="10" total-items="completedJobPage.TotalJobs"
+                                    ng-model="completedJobCurPage" items-per-page="completedJobPageSize"
+                                    ng-change="changeCompletedJobPage()"
+                                    boundary-links="true" rotate="false" num-pages="numPages"></pagination>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+</div>
+}
